> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List my credentials

> The caller's personal secrets and OAuth connections, each with the resources it is granted to. Values are never returned.



## OpenAPI

````yaml /swagger.json get /credential
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /credential:
    get:
      tags:
        - credential
      summary: List my credentials
      description: >-
        The caller's personal secrets and OAuth connections, each with the
        resources it is granted to. Values are never returned.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  secrets:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        key:
                          type: string
                        description:
                          type: string
                          nullable: true
                        createdTime:
                          type: string
                        lastModifiedTime:
                          type: string
                          nullable: true
                        usages:
                          type: array
                          items:
                            type: object
                            properties:
                              grantId:
                                type: string
                              alias:
                                type: string
                              resourceType:
                                type: string
                                enum:
                                  - automation
                                  - app
                              resourceId:
                                type: string
                              resourceName:
                                type: string
                                nullable: true
                              resourceDeleted:
                                type: boolean
                              baseId:
                                type: string
                              baseName:
                                type: string
                                nullable: true
                              spaceId:
                                type: string
                                nullable: true
                              spaceName:
                                type: string
                                nullable: true
                              inSpace:
                                type: boolean
                              createdTime:
                                type: string
                            required:
                              - grantId
                              - alias
                              - resourceType
                              - resourceId
                              - resourceName
                              - resourceDeleted
                              - baseId
                              - baseName
                              - spaceId
                              - spaceName
                              - inSpace
                              - createdTime
                      required:
                        - id
                        - key
                        - description
                        - createdTime
                        - lastModifiedTime
                        - usages
                  connections:
                    type: array
                    items:
                      oneOf:
                        - type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            connectedTime:
                              type: string
                              nullable: true
                            lastUsedTime:
                              type: string
                              nullable: true
                            usages:
                              type: array
                              items:
                                type: object
                                properties:
                                  grantId:
                                    type: string
                                  alias:
                                    type: string
                                  resourceType:
                                    type: string
                                    enum:
                                      - automation
                                      - app
                                  resourceId:
                                    type: string
                                  resourceName:
                                    type: string
                                    nullable: true
                                  resourceDeleted:
                                    type: boolean
                                  baseId:
                                    type: string
                                  baseName:
                                    type: string
                                    nullable: true
                                  spaceId:
                                    type: string
                                    nullable: true
                                  spaceName:
                                    type: string
                                    nullable: true
                                  inSpace:
                                    type: boolean
                                  createdTime:
                                    type: string
                                required:
                                  - grantId
                                  - alias
                                  - resourceType
                                  - resourceId
                                  - resourceName
                                  - resourceDeleted
                                  - baseId
                                  - baseName
                                  - spaceId
                                  - spaceName
                                  - inSpace
                                  - createdTime
                            source:
                              type: string
                              enum:
                                - native
                            provider:
                              type: string
                              enum:
                                - slack
                                - gmail
                                - outlook
                                - airtable
                                - googleSheet
                          required:
                            - id
                            - name
                            - connectedTime
                            - lastUsedTime
                            - usages
                            - source
                            - provider
                        - type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            connectedTime:
                              type: string
                              nullable: true
                            lastUsedTime:
                              type: string
                              nullable: true
                            usages:
                              type: array
                              items:
                                type: object
                                properties:
                                  grantId:
                                    type: string
                                  alias:
                                    type: string
                                  resourceType:
                                    type: string
                                    enum:
                                      - automation
                                      - app
                                  resourceId:
                                    type: string
                                  resourceName:
                                    type: string
                                    nullable: true
                                  resourceDeleted:
                                    type: boolean
                                  baseId:
                                    type: string
                                  baseName:
                                    type: string
                                    nullable: true
                                  spaceId:
                                    type: string
                                    nullable: true
                                  spaceName:
                                    type: string
                                    nullable: true
                                  inSpace:
                                    type: boolean
                                  createdTime:
                                    type: string
                                required:
                                  - grantId
                                  - alias
                                  - resourceType
                                  - resourceId
                                  - resourceName
                                  - resourceDeleted
                                  - baseId
                                  - baseName
                                  - spaceId
                                  - spaceName
                                  - inSpace
                                  - createdTime
                            source:
                              type: string
                              enum:
                                - composio
                            provider:
                              type: string
                          required:
                            - id
                            - name
                            - connectedTime
                            - lastUsedTime
                            - usages
                            - source
                            - provider
                required:
                  - secrets
                  - connections
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/credential \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url = 'https://app.teable.ai/api/credential';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/credential',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: |-
            import http.client

            conn = http.client.HTTPSConnection("app.teable.ai")

            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }

            conn.request("GET", "/api/credential", headers=headers)

            res = conn.getresponse()
            data = res.read()

            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````